Last modified: 2013-06-18 16:59:28 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 23821 - Write API for CentralAuth extension
Write API for CentralAuth extension
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CentralAuth (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: noncoreapi SWMT
  Show dependency treegraph
 
Reported: 2010-06-07 18:48 UTC by Mike.lifeguard
Modified: 2013-06-18 16:59 UTC (History)
13 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mike.lifeguard 2010-06-07 18:48:35 UTC
Per bug 16860 comment 10, please create an API module for interacting with CentralAuth, not just reading data (which is bug 16860).
Comment 1 Bugmeister Bot 2011-08-19 19:13:01 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 2 Betacommand 2012-08-27 01:09:36 UTC
Can We get some kind of progress started on this? 5 years and waiting.....
Comment 3 MZMcBride 2012-08-27 02:08:56 UTC
This bug needs to be properly described or I'm just going to mark it as invalid. What specific Special pages or functions do you want write access to? Each of those individual actions/Special pages probably need a separate bug.

A vague mega-bug like this ("Write API for CentralAuth extension") is of course not going to get any reaction. There's nothing actionable here.
Comment 4 Betacommand 2012-08-27 02:11:23 UTC
the big ones are block/unblock/lock/unlock
Comment 5 MZMcBride 2012-08-27 03:00:38 UTC
The current bug summary ("Write API for CentralAuth extension") has an amusing ambiguity: it can be read as <verb> <noun> (i.e., "Write [an] API") or it can be read as <phrasal noun> (i.e., "write API" as a complement to "read API").
Comment 6 Alex Monk 2012-10-20 20:11:48 UTC
Locking/hiding in Gerrit change #28836
Comment 7 Alex Monk 2012-10-21 03:05:16 UTC
Deleting in Gerrit change #28902
Comment 8 Alex Monk 2012-12-12 22:57:04 UTC
(In reply to comment #7)
> Deleting in Gerrit change #28902

Merged by Chris.

Do we want an API module to unmerge accounts?
Comment 9 Sam Reed (reedy) 2012-12-12 22:59:41 UTC
(In reply to comment #8)
> Do we want an API module to unmerge accounts?

Someone will always come up with a use case...
Comment 10 Alex Monk 2012-12-13 20:07:48 UTC
(In reply to comment #7)
> Deleting in Gerrit change #28902

Merged by Chris.

(In reply to comment #9)
> (In reply to comment #8)
> > Do we want an API module to unmerge accounts?
> 
> Someone will always come up with a use case...

Well if they have a valid one they should open a new bug. Resolved fixed. :)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links